Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IDelaunay2D.EdgeCounter

    java.lang.Object
      igeo.IDelaunay2D.EdgeCounter

Enclosing class:
  IDelaunay2D

    public static class IDelaunay2D.EdgeCounter

extends java.lang.Object

Field Summary
`(package private) int[]` | `counter`
`(package private) int[]` | `faceVertexIndex`
`(package private) int` | `ptNum`

Constructor Summary
`IDelaunay2D.EdgeCounter(int ptNum)`

Method Summary
`void` | `addEdge(int ptIdx1, int ptIdx2)`
`void` | `addFace(int ptIdx1, int ptIdx2, int ptIdx3)`
`int` | `getEdgeNum(int ptIdx1, int ptIdx2)`
`int` | `getFaceVertexIndex(int ptIdx1, int ptIdx2)`
`protected int` | `getIndex(int ptIdx1, int ptIdx2)`
`boolean` | `hasOneFace(int ptIdx1, int ptIdx2)`
`boolean` | `isEdgeOnOutline(int ptIdx1, int ptIdx2)`
`boolean` | `isEdgeOpen(int ptIdx1, int ptIdx2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### counter

    int[] counter

### ptNum

    int ptNum

### faceVertexIndex

    int[] faceVertexIndex

Constructor Detail

### IDelaunay2D.EdgeCounter

    public IDelaunay2D.EdgeCounter(int ptNum)

Method Detail

### addEdge

    public void addEdge(int ptIdx1,
                        int ptIdx2)

### addFace

    public void addFace(int ptIdx1,
                        int ptIdx2,
                        int ptIdx3)

### getEdgeNum

    public int getEdgeNum(int ptIdx1,
                          int ptIdx2)

### getFaceVertexIndex

    public int getFaceVertexIndex(int ptIdx1,
                                  int ptIdx2)

### isEdgeOpen

    public boolean isEdgeOpen(int ptIdx1,
                              int ptIdx2)

### hasOneFace

    public boolean hasOneFace(int ptIdx1,
                              int ptIdx2)

### isEdgeOnOutline

    public boolean isEdgeOnOutline(int ptIdx1,
                                   int ptIdx2)

### getIndex

    protected int getIndex(int ptIdx1,
                           int ptIdx2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD